> For the complete documentation index, see [llms.txt](https://docs.ionos.com/knife-plugin/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/knife-plugin/subcommands/application-load-balancer/targetgroup_target_remove.md).

# TargetgroupTargetRemove

Removes a Target from a Target Group if it exists.

```
knife ionoscloud targetgroup target remove (options)
```

## Available options:

### Required options:

* target\_group\_id
* ip
* port
* ionoscloud\_username
* ionoscloud\_password

```
    ionoscloud_url: --url URL
        the Ionoscloud API URL

    extra_config_file: --extra-config EXTRA_CONFIG_FILE_PATH, -e EXTRA_CONFIG_FILE_PATH
        path to the additional config file

    target_group_id: --target-group-id TARGET_GROUP_ID, -T TARGET_GROUP_ID
        iD of the Target Group (required)

    ip: --ip IP
        iP of a balanced target VM (required)

    port: --port PORT, -p PORT
        port of the balanced target service. (range: 1 to 65535) (required)

    ionoscloud_username: --username USERNAME, -u USERNAME
        your Ionoscloud username (required)

    ionoscloud_password: --password PASSWORD, -p PASSWORD
        your Ionoscloud password (required)

    ionoscloud_token: --token PASSWORD
        your Ionoscloud access token
```

## Example

```
knife ionoscloud targetgroup target remove --url URL --extra-config EXTRA_CONFIG_FILE_PATH --target-group-id TARGET_GROUP_ID --ip IP --port PORT --username USERNAME --password PASSWORD --token PASSWORD
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/knife-plugin/subcommands/application-load-balancer/targetgroup_target_remove.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
